Lone Wolf Development Forums

Lone Wolf Development Forums (http://forums.wolflair.com/index.php)
-   HL - Mutants & Masterminds (http://forums.wolflair.com/forumdisplay.php?f=48)
-   -   Bug Report [Repost] (http://forums.wolflair.com/showthread.php?t=7637)

FifthWanderer June 11th, 2008 09:43 PM

Bug Report [Repost]
 
Reposted from the main Hero Lab forum:

I built the Duplicator character from Instant Superheroes, p. 23. The character has the following power:

Duplication 10 (Extras: Action[Move], Horde, Survival; Power Feats: Mental Link, Sacrifice, Progression 4 [25 duplicates])

When building this power in Hero Lab, I noticed that there was a modified Progression power feat that counted the number of duplicates. But when I took that feat, I got the following validation error:

Quote:

Entity 'Unnamed' - Horde: Requires Progression power feat.
The error disappeared when I replaced the custom Progression feat with the standard Progression feat. I think the Horde extra should require the custom version of Progression instead of the standard version.

Edit: Found the bug, and a fix.

The horde extra has the following pre-requisite:

Code:

@valid = pickexists[pfProgress]
Changing it to this should fix the problem:

Code:

@valid = pickexists[pfDupProg]
Happy to help. :twisted:

Colen June 12th, 2008 10:43 AM

Bug Report [Repost]
 
FifthWanderer wrote:
>
>
> Reposted from the main Hero Lab forum:
>
> I built the Duplicator character from Instant Superheroes, p. 23. The
> character has the following power:
>
> Duplication 10 (Extras: Action[Move], Horde, Survival; Power Feats:
> Mental Link, Sacrifice, Progression 4 [25 duplicates])
>
> When building this power in Hero Lab, I noticed that there was a
> modified Progression power feat that counted the number of duplicates.
> But when I took that feat, I got the following validation error:
>
> *Quote:*
> Entity 'Unnamed' - Horde: Requires Progression power feat.
>
>
>
> The error disappeared when I replaced the custom Progression feat with
> the standard Progression feat. I think the Horde extra should require
> the custom version of Progression instead of the standard version.
>
> Edit: Found the bug, and a fix.
>
> The horde extra has the following pre-requisite:
>
> *Code:*
> @valid = pickexists[pfProgress]
>
>
>
> Changing it to this should fix the problem:
>
> *Code:*
> @valid = pickexists[pfDupProg]


Thanks! I'll make this change for the next release (Animate Objects has
the same problem).


--
Colen McAlister, colen@wolflair.com
Chief Engineer, Lone Wolf Development

Invincible01 June 12th, 2008 05:45 PM

**created seperate entry**


All times are GMT -8. The time now is 01:48 PM.

Powered by vBulletin® - Copyright ©2000 - 2019, vBulletin Solutions, Inc.
wolflair.com copyright 1998-2016 Lone Wolf Development, Inc. View our Privacy Policy here.